﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Drawing.Imaging;
using System.IO;
using ThinkGeo.MapSuite.Core;
using Brushes = System.Drawing.Brushes;
using Pen = System.Drawing.Pen;
using PixelFormat = System.Drawing.Imaging.PixelFormat;

namespace Performance1
{
    public class CustomStyle : PointStyle
    {
        private const int size4 = 4;
        private static readonly GeoSolidBrush brush;
        private static readonly GeoPen pen;

        static CustomStyle()
        {
            brush = new GeoSolidBrush(GeoColor.StandardColors.White);
            pen = new GeoPen(GeoColor.StandardColors.White);
        }

        protected override void DrawCore(IEnumerable<Feature> features, GeoCanvas canvas, Collection<SimpleCandidate> labelsInThisLayer,
                                         Collection<SimpleCandidate> labelsInAllLayers)
        {
            base.DrawCore(features, canvas, labelsInThisLayer, labelsInAllLayers);
            var gcanvas = canvas as WicBitmapGeoCanvas;

            if (gcanvas != null)
            {
                foreach (Feature feature in features)
                {
                    gcanvas.DrawEllipse(feature, size4, size4, brush, DrawingLevel.LevelOne);
                }
            }
        }

    }

}
